Subject: Re: [bug-diffutils] bug#17492: diff handles moved text poorly; should not need --minimal

From: Scott McPeak <[email-masked]>
Date: Thu, 15 May 2014 11:29:29 -0700

On 05/14/2014 10:12 PM, Paul Eggert wrote:
> Thanks.  This sounds like Bug#16848, which was fixed in February after
> the latest diffutils release.

It looks different to me.  In the case I reported, diff never shows 
inserting and removing the same line next to itself.

> Can you build a copy of diffutils from
> the git repository and try it out?

After about 20 minutes of chasing build dependencies, I timed out with a 
compile error about set_binary_mode.  To reproduce what I reported, one 
only has to run the short shell script I included, so perhaps someone 
with a working dev build could try that?

-Scott